package limone;

import eBeacon.*;
import java.io.*;

/**
 * This object is passed to an AcquaintanceChangedListener when the
 * acquaintance list has been changed.  It tells the listener how the
 * list was changed.
 *
 * @author Chien-Liang Fok
 * @version 03/17/2003
 */
public class AcquaintanceChangedEvent implements Serializable
{
	public static final int AGENT_ADDED = 0;
	public static final int AGENT_REMOVED = 1;
	
	private Profile p;
	private int type;
	
	public AcquaintanceChangedEvent(int type, Profile p) {
		this.type = type;
		this.p = p;
	}
	
	public int getType() {
		return type;
	}
	
	public Profile getProfile() {
		return p;
	}
}

