package limone;

/**
 * This class facilitates the printing of debug messages
 * within limone.  A message is only printed when the LimoneServer
 * is running in debug mode.  The debug mode is set by using the -debug
 * flag when booting the LimoneServer.
 *
 * @author Chien-Liang Fok
 * @version 03/17/2003
 */
public class DebugLogger implements java.io.Serializable {
	
	/**
	 * Logs a debugging message if the debug level of the LimeLiteServer
	 * is greater than or equal to the level sent in as a parameter.
	 */
	public static final void log(String label, String msg) {
		if (LimoneServer.getServer().debug()) {
			StringBuffer sBuff = new StringBuffer(label);
			sBuff.append(": ");
			sBuff.append(msg);
			System.out.println(sBuff.toString());
			System.out.flush();
		}
	}
}
