package limone;

import java.io.*;

/**
 * Encapsulates the property variables of the LimoneServer.
 *
 * @author Chien-Liang Fok
 * @version 3/17/2003
 */
class PropertyVars implements Serializable
{
	/**
	 * Whether Limone is running in debug mode.  By default, this is false.
	 */
	boolean debug = false;
	
	/**
	 * Determines whether the single-cast protocol is UDP or TCP.
	 */
    boolean useTCP = true;
    
    /**
	 * The single-cast port used by this Limone Server.  Its default
	 * value is 2200, but can be set using the "-sPort" flag.
	 */
    int port = 2200;
    
    /**
	 * The multicast group address.  By default this is 230.1.2.3.
	 */
    String mcastAddressString = "230.1.2.3";
    
    /**
	 * The multicast port.  By default this is 6000.
	 */
    int mcastport = 6000;
	
	/**
	 * The beacon period in milliseconds.  By default this is 1000.
	 */
    long beaconPeriod= 1000;
	
	public PropertyVars() {}
	
	
}

