package limone;

import eLights.*;
import java.io.*;

/**
 * The TupleSpace is the basic container of data used within Limone.
 *
 * @author Chien-Liang Fok
 * @version 3/17/2003
 */
public class TupleSpace extends ETupleSpace
{
	Agent a;
	
	public TupleSpace(Agent a) {
		this.a = a;
	}
	
	/**
	 * Places a tuple in the tuple space.
	 *
	 * @param tuple the tuple to be placed into the local tuple space.
	 */
	public synchronized void out(ETuple tuple) {
		log("out(...) called");
		this.outg(new ETuple[] {tuple});
	}
	
	/**
	 * Places a collection of tuples into the tuple space.
	 *
	 * @param tuples the tuples to be placed into the local tuple space.
	 */
	public synchronized void outg(ETuple[] tuples) {
		log("outg(...) called");
		
		super.outg(tuples);
		
		log("notifying reaction list of new tuples");
		a.getRL().newTuples(tuples);
		
		log("done outing tuples");
	}
	
	void log(String msg) {
		DebugLogger.log("TupleSpace", msg);
	}
}

