package limone.io;

import limone.*;

/**
 * All Message objects used in LimeLite implement this interface.
 *
 * @author Chien-Liang Fok
 * @version 3/17/2003
 */
public interface Message {
	public static final int OUT = -2;
	//public static final int OUT_RESULT = -1;
    public static final int INP = 0;
    //public static final int INP_RESULT = 7;
    public static final int INGP = 1;
    //public static final int INGP_RESULT= 8;
    public static final int RDP = 2;
    //public static final int RDP_RESULT = 9;
    public static final int RDGP = 3;
    //public static final int RDGP_RESULT = 10;
    public static final int REGISTER_REACTIVE_PATTERN = 4;
    public static final int DEREGISTER_REACTIVE_PATTERN = 5;
    public static final int REACTION_RESULTS = 6;
    public static final int LOAD_AGENT = 11;
    
    /**
     * Returns the type of the message.  Type possible
     * types are defined within Message.
     *
     * @return the type of the message.  Type possible
     * types are defined within Message.
     */
    public int getType();
    
    /**
     * Returns the destination hostID of the host that this message
     * should be sent to.
     *
     * @return the destination hostID of the host that this message
     * should be sent to.
     */
    public HostID getDestHostID();
    
    /**
     * Returns the destination agentID of the agent that this message
     * should be sent to.
     *
     * @return the destination agentID of the agent that this message
     * should be sent to.
     */
    public AgentID getDestAgentID();
	
	/**
	 * Returns the agentID of the agent that sent this reply.
	 */
	public AgentID getSourceAgentID();
}
