package limone.io;

import java.io.*;
import java.net.*;

/**
 * An interface for all Message Receivers.  A message receiver listens for
 * messages destined to this agent.
 *
 * @author Chien-Liang Fok
 * @version 3/17/2003
 */
public interface MessageReceiver {
	
	/**
	 * Stop the operation of the Message Receiver.
	 * Once the MessageReceiver has been terminated, it can no
	 * longer resume operation and should be discarded.
	 */
	public void kill();
}
