package limone.io;

import java.net.*;
import java.io.*;

/**
 * Defines the interface of all MessageSenders.
 *
 * @author Chien-Liang Fok
 * @version 3/17/2003
 */
public interface MessageSender {
	
	/**
	 * Sends a message.
	 *
	 * @param msg the message to be sent.
	 */
	public void sendMessage(Message msg);
	
	/**
	 * Returns the singlecast protocol type of this MessageSender,
	 * either LimeLiteServer.TCP or LimeLiteServer.UDP.
	 *
	 * @return the singlecast protocol type of this MessageSender,
	 * either LimeLiteServer.TCP or LimeLiteServer.UDP.
	 */
	public int getProtocolType();
	
	/**
	 * Forces the MessageSender to close all sockets and stop
	 * functioning.
	 */
	public void kill();
}
