package limone.io;

import limone.*;

/**
 * This is the interface of a message that requests a reply.  It provides
 * information on who to reply to.
 *
 * @author Chien-Liang Fok
 * @version 3/17/2003
 */

public interface TwoWayMessage extends Message
{
	/**
	 * Returns the hostID of the host that the reply should be sent.
	 */
	public HostID getReplyHostID();
	
	/**
     * Returns the agentID of the agent that the reply should be sent.
     */
	public AgentID getReplyAgentID();
	
	
}

