package limone.util;
import limone.*;

import eBeacon.*;

/**
 * This class is a set of useful operations that can be performed on a profile.
 * It extracts out the AgentID and the HostID from within the profile.
 *
 * @author Chien-Liang Fok
 * @version 3/17/2003
 */

public class ProfileParser
{
	/**
	 * Returns the AgentID withn a profile.
	 */
	public static AgentID getAgentID(Profile p) {
		return (AgentID)p.getProperty("_AgentID").getValue();
    }
    
    /**
	 * Returns the HostID withn a profile.
	 */
    public static HostID getHostID(Profile p) {
		return (HostID)p.getProperty("_HostID").getValue();
    }
}

